/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.calebfontenot.lab9_calebfontenot;

import java.util.Scanner;

/**
 *
 * @author ASDV2
 */
public class MinimumOf4NestedIfs {

    public static void main(String[] args) {
        Scanner scan = new Scanner(System.in);
        while (true) {
            System.out.println("Please enter 4 numbers to find the minimum of the 4: ");
            int _1 = scan.nextInt();
            int _2 = scan.nextInt();
            int _3 = scan.nextInt();
            int _4 = scan.nextInt();

            if (_1 < _4) {
                if (_1 < _3) {
                    if (_1 < _2) {
                        System.out.println("minimum= " + _1);
                    } else {
                        System.out.println("minimum= " + _2);
                    }
                } else {
                    if (_3 < _2) {
                        System.out.println("minimum= " + _3);
                    } else {
                        System.out.println("minimum= " + _2);
                    }
                }
            } else {
                if (_4 < _3) {
                    if (_4 < _2) {
                        System.out.println("minimum= " + _4);
                    } else {
                        System.out.println("minimum= " + _2);
                    }
                } else {
                    if (_3 < _2) {
                        System.out.println("minumum= " + _3);
                    } else {
                        System.out.println("minimum= " + _2);
                    }
                }
            }
            
            scan.next();
        }

    }

}
